> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post vaultgenerate password



## OpenAPI

````yaml /openapi.json post /vault/generate-password
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /vault/generate-password:
    post:
      operationId: vault.generatePassword
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                agentId:
                  anyOf:
                    - type: string
                      pattern: ^[0-9a-z]+$
                    - type: string
                      pattern: ^[cC][^\s-]{8,}$
                  description: >-
                    Agent identifier. Optional when using an agent API key
                    (resolved automatically); required when using a master key.
                length:
                  type: integer
                  minimum: 4
                  maximum: 128
                  description: Desired password length (4-128 characters)
                uppercase:
                  type: boolean
                  description: Include uppercase letters
                lowercase:
                  type: boolean
                  description: Include lowercase letters
                number:
                  type: boolean
                  description: Include numeric digits
                special:
                  type: boolean
                  description: Include special characters
              description: Input for generating a random password
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  password:
                    type: string
                    description: The generated password
                required:
                  - password
                description: Generated password result
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.